> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Points to be Expired

> Gets all points that will expire within a year starting at 30 days, 60 days, and up to one year.



## OpenAPI

````yaml member get /v1/inquire/points-expiry
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/inquire/points-expiry:
    get:
      tags:
        - Inquire
      summary: Get Points to be Expired
      description: >-
        Gets all points that will expire within a year starting at 30 days, 60
        days, and up to one year.
      operationId: points-expiry_list
      parameters:
        - name: profileId
          in: query
          description: >-
            Profile ID. It is generated in the response of the `Enroll Member`
            endpoint - POST /v1/members.
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PointsExpiryResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    PointsExpiryResponse:
      type: object
      properties:
        message:
          title: Message
          maxLength: 200
          type: string
          description: Message corresponding to the call.
          example: Success
          nullable: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/FetchMemberPointsExpiryResponse'
        status:
          title: Status
          description: Status of the call
          type: integer
          example: 200
          format: int32
        errors:
          title: Errors
          description: Error details, if any
          type: object
          properties: {}
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
    FetchMemberPointsExpiryResponse:
      type: object
      properties:
        expiryDuration:
          title: Expiryduration
          type: integer
          description: Expiry duration bracket, in number of days.
          example: 30
          format: int32
        unRestrictedTotalPoints:
          title: Unrestrictedtotalpoints
          type: number
          format: integer
          description: Total number of unrestricted points (base + promotional + bonus).
          example: 100
        restrictedTotalPoints:
          title: Restrictedtotalpoints
          type: number
          format: integer
          description: Total number of restricted points
          example: 12
        totalPoints:
          title: Totalpoints
          type: number
          format: integer
          description: Total number of points
          example: 112
        pointValue:
          description: Total monetary value of all points
          title: Pointvalue
          type: number
          format: float
          example: 112
        restrictedPoints:
          type: array
          items:
            $ref: '#/components/schemas/RestrictedPoint'
        expiryDate:
          title: Expirydate
          type: string
          description: Timestamp of points expiration (UTC format)
          example: '2020-03-20T01:30:08.180856'
          format: date-time
          nullable: true
    RestrictedPoint:
      type: object
      properties:
        points:
          title: Points
          type: number
          format: integer
          description: Number of restricted points
          example: 12
        restrictedLocation:
          title: Restricted location
          type: string
          description: Store or entity where the restricted points can be used
          example: demo_store
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````